import { jsx as _jsx } from "react/jsx-runtime";
import { Children } from 'react';
import { Alert } from './Alert';
import { CodeBlock } from './CodeBlock';
import { CodeInline } from './CodeInline';
import { DemoBlock } from './DemoBlock';
import { Table } from './Table';
export const components = {
    code: CodeInline,
    pre: ({ children, ...props }) => {
        const codeElem = Children.only(children);
        const language = codeElem.props.className?.substring(9) || 'bash';
        const code = codeElem.props.children?.trim?.();
        return ['jsx', 'tsx'].includes(language) ? (_jsx(DemoBlock, { language: language, code: code, ...props })) : (_jsx(CodeBlock, { language: language, code: code, ...props }));
    },
    table: Table,
    Alert: Alert,
};
